API referenceAnalytics

GET /analytics/facebook/post-earnings

Lifetime monetization earnings of one post (cumulative: since, until, period, metricType and breakdown are 400). content_monetization_earnings has unit micro_amount and a currency; monetization_approximate_earnings is unspecified

GET
/analytics/facebook/post-earnings

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

Facebook account id

postId*string

{pageId}_{postId} or the bare video id of a Reel

metrics?string

content_monetization_earnings,monetization_approximate_earnings (default both)

Response Body

{success, accountId, postId, platform, period: lifetime, metrics, unavailableMetrics?}

application/json
  1. response
Example Request
curl -X GET 'https://example.com/api/v1/analytics/facebook/post-earnings?accountId=string&postId=string'
Example Response
{}